InfluxDB + Grafana installation

Tags: #<Tag:0x00007f616e78afd8> #<Tag:0x00007f616e78ac90>

Hello everyone,
I was trying to install influxDB + grafana, but had an issue that I couldn’t understand, first of all i used the installation from sudo openhabian-config , InfluxDB is installed but Grafana fails.
I tried to install it on my own using thecommand: sudo apt-get install grafana so I got these lines :

Preparing to unpack …/grafana_5.1.4_armhf.deb …
Unpacking grafana (5.1.4) over (2.6.0+dfsg-3+b1) …
dpkg: error processing archive /var/cache/apt/archives/grafana_5.1.4_armhf.deb ( --unpack):
trying to overwrite ‘/usr/share/grafana/conf/defaults.ini’, which is also in pa ckage grafana-data 2.6.0+dfsg-3
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/grafana_5.1.4_armhf.deb
Updating FireMotD available updates count …
E: Sub-process /usr/bin/dpkg returned an error code (1)

I think here there is problem with FireModT, I upgraded it using sudo apt-get install --upgrade FireMotD here i find another issue:

Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Unable to locate package FireMotD

I would be so grateful if anyone had the same issue and found out how to resolve it And thanks :wink:

I’m having the same issue here… any help would be appreciated…

Unlikely, the OP is 2 years old.

If you want people to help, provide data they can act upon.

How to ask a good question / Help Us Help You - Tutorials & Examples - openHAB Community

Hello, my system is:

###############  openhab  #####################################
##############################################################
##        Ip = 192.168.15.20 
##   Release = Raspbian GNU/Linux 10 (buster)
##    Kernel = Linux 4.19.97-v7+
##  Platform = Raspberry Pi 3 Model B Rev 1.2
##    Uptime = 1 day(s). 10:53:44
## CPU Usage = 1.01% avg over 4 cpu(s) (4 core(s) x 1 socket(s))
##  CPU Load = 1m: 0.00, 5m: 0.01, 15m: 0.00
##    Memory = Free: 0.08GB (9%), Used: 0.86GB (91%), Total: 0.95GB
##      Swap = Free: 0.67GB (99%), Used: 0.00GB (1%), Total: 0.68GB
##      Root = Free: 108.43GB (96%), Used: 3.79GB (4%), Total: 117.01GB
##   Updates = 1 apt updates available.
##  Sessions = 1 session(s)
## Processes = 118 running processes of 32768 maximum processes
#################################################################

I tried to install Grafana/Influx using openhabian-config, but some errors appeared, now I always have this apt update, when I try to upgrade it, the following errors appears, and the upgrade doesn’t work:

The following packages will be upgraded:
  grafana
1 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 0 B/41.7 MB of archives.
After this operation, 108 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Reading changelogs... Done
(Reading database ... 68430 files and directories currently installed.)
Preparing to unpack .../grafana_7.0.1_armhf.deb ...
Unpacking grafana (7.0.1) over (2.6.0+dfsg-3+b1) ...
dpkg: error processing archive 
/var/cache/apt/archives/grafana_7.0.1_armhf.deb (--unpack):
 trying to overwrite '/usr/share/grafana/public/test/mocks/dashboard-mock.js', which is also in package grafana-data 2.6.0+dfsg-3
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/grafana_7.0.1_armhf.deb
Updating FireMotD available updates count ...
E: Sub-process /usr/bin/dpkg returned an error code (1)

any help will be appreciated!

Paulo

Looks similar to the issue solved here. Maybe you can try to remove the old Grafana version first?

I tried to follow the post above, used the command sudo apt-get purge grafana-data and it didn´t work:

Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages were automatically installed and are no longer required:
adwaita-icon-theme at-spi2-core dconf-gsettings-backend dconf-service fonts-font-awesome geoclue-2.0 glib-networking glib-networking-common glib-networking-services
golang-1.11-go golang-1.11-src golang-go golang-src gsettings-desktop-schemas gstreamer1.0-plugins-base gtk-update-icon-cache hicolor-icon-theme iio-sensor-proxy
libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libavahi-glib1 libbrotli1 libcairo-gobject2 libcairo2 libcdparanoia0 libcolord2 libcroco3 libdatrie1
libdconf1 libdouble-conversion1 libdrm-amdgpu1 libdrm-common libdrm-nouveau2 libdrm-radeon1 libdrm2 libegl-mesa0 libegl1 libepoxy0 libevdev2 libgbm1
libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common libgl1 libgl1-mesa-dri libglapi-mesa libgles2 libgles2-mesa libglvnd0 libglx-mesa0 libglx0
libgraphite2-3 libgstreamer-plugins-base1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0 libharfbuzz0b libhyphen0 libice6 libinput-bin libinput10
libjbig0 libjs-angularjs libjs-jquery-metadata libjs-jquery-tablesorter libjs-twitter-bootstrap libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2 libllvm9
libmbim-glib4 libmbim-proxy libmm-glib0 libmtdev1 libnotify4 libogg0 libopus0 liborc-0.4-0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpcre2-16-0
libpixman-1-0 libproxy1v5 libqmi-glib5 libqmi-proxy libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5positioning5 libqt5printsupport5 libqt5qml5
libqt5quick5 libqt5sensors5 libqt5svg5 libqt5webchannel5 libqt5webkit5 libqt5widgets5 librest-0.7-0 librsvg2-2 librsvg2-common libsm6 libsoup-gnome2.4-1
libsoup2.4-1 libthai-data libthai0 libtheora0 libtiff5 libvisual-0.4-0 libvorbis0a libvorbisenc2 libwacom-bin libwacom-common libwacom2 libwayland-client0
libwayland-cursor0 libwayland-egl1 libwayland-server0 libwebp6 libwoff1 libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-icccm4 libxcb-image0
libxcb-keysyms1 libxcb-present0 libxcb-randr0 libxcb-render-util0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb-util0 libxcb-xfixes0 libxcb-xinerama0
libxcb-xkb1 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1 libxkbcommon-x11-0 libxkbcommon0 libxrandr2 libxrender1 libxshmfence1 libxslt1.1
libxtst6 libxxf86vm1 modemmanager notification-daemon phantomjs qt5-gtk-platformtheme qttranslations5-l10n x11-common
Use ‘sudo apt autoremove’ to remove them.
The following additional packages will be installed:
grafana
The following packages will be REMOVED:
grafana-data*
The following packages will be upgraded:
grafana
1 upgraded, 0 newly installed, 1 to remove and 4 not upgraded.
Need to get 0 B/41.7 MB of archives.
After this operation, 101 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Reading changelogs… Done
(Reading database … 68430 files and directories currently installed.)
Preparing to unpack …/grafana_7.0.1_armhf.deb …
Unpacking grafana (7.0.1) over (2.6.0+dfsg-3+b1) …
dpkg: error processing archive /var/cache/apt/archives/grafana_7.0.1_armhf.deb (–unpack):
trying to overwrite ‘/usr/share/grafana/public/test/mocks/dashboard-mock.js’, which is also in package grafana-data 2.6.0+dfsg-3
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/grafana_7.0.1_armhf.deb
Updating FireMotD available updates count …
E: Sub-process /usr/bin/dpkg returned an error code (1)